#include<bits/stdc++.h>
using namespace std;
int N, K, x;

int main(){
  scanf("%d %d", &N, &K);
  for(int i = 1; i <= N; i++){
    scanf("%d", &x);
    if(x <= K){
      printf("%d\n", i);
      return 0;
    }
  }
  printf("-1\n");

return 0;
}